Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface JMSJDBCStoreMBean

public interface JMSJDBCStoreMBean
extends JMSStoreMBean

A JMS JDBC based backing store.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`JDBCConnectionPoolMBean` | `getConnectionPool()` Get the JDBC Connection Pool for this backing store.
`java.lang.String` | `getPrefixName()` Get the prefix name of JMS tables in this backing store.
`void` | `setConnectionPool(JDBCConnectionPoolMBean connectionPool)` Set the JDBC Connection Pool for this backing store.
`void` | `setPrefixName(java.lang.String name)` Set the prefix name of JMS tables in this backing store.

Methods inherited from interface weblogic.management.configuration.JMSStoreMBean
`getJMSServer`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getConnectionPool

    public JDBCConnectionPoolMBean getConnectionPool()

  Get the JDBC Connection Pool for this backing store.

  Old Property: weblogic.jms.connectionPool

### setConnectionPool

    public void setConnectionPool(JDBCConnectionPoolMBean connectionPool)
                           throws javax.management.InvalidAttributeValueException

  Set the JDBC Connection Pool for this backing store.

  Legal NULL: false

### getPrefixName

    public java.lang.String getPrefixName()

  Get the prefix name of JMS tables in this backing store.

  Old Property: weblogic.jms.tableNamePrefix

### setPrefixName

    public void setPrefixName(java.lang.String name)
                       throws javax.management.InvalidAttributeValueException

  Set the prefix name of JMS tables in this backing store.

  Default Value: null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD